Page MenuHomePhabricator

[PowerPC] Add initialization for some ppc passes
ClosedPublic

Authored by ZhangKang on Apr 3 2019, 10:29 PM.

Details

Summary

Some llc debug options need pass-name as the parameters.

-run-pass=<pass-name>
-start-after=<pass-name>
-start-before=<pass-name>
-stop-after=<pass-name
-stop-before=<pass-name>

For the pass-name ppc-pre-emit-peephole, below command can work well.

llc test.ll -stop-after ppc-pre-emit-peephole

But if we use the pass-name ppc-early-ret, we will get below error:

llc test.ll -stop-after ppc-early-ret
LLVM ERROR: “ppc-early-ret” pass is not registered.

I have checked all PPC pass-names, below pass-names have the pass is not registered error:

ppc-ctr-loops
ppc-ctr-loops-verify
ppc-loop-preinc-prep
ppc-toc-reg-deps
ppc-vsx-copy
ppc-early-ret
ppc-vsx-fma-mutate
ppc-vsx-swaps
ppc-reduce-cr-ops
ppc-qpx-load-splat
ppc-branch-coalescing
ppc-branch-select

Diff Detail

Event Timeline

ZhangKang created this revision.Apr 3 2019, 10:29 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 3 2019, 10:29 PM
jsji accepted this revision.Apr 11 2019, 1:08 PM
jsji retitled this revision from [PowerPC] Add initilization for some ppc passes to [PowerPC] Add initialization for some ppc passes .

LGTM, Thanks for fixing this.

This revision is now accepted and ready to land.Apr 11 2019, 1:09 PM
This revision was automatically updated to reflect the committed changes.
ZhangKang updated this revision to Diff 194821.Apr 12 2019, 2:28 AM

Add mtriple=powerpc64le-unknown-unknown for the test files.